<script>
	import { isLight } from "@/stores/static"
	import { page } from "$app/stores"
	import { t, locale } from "@/i18n"

	$: car = $page.data.car
	$: options = car.options?.map(i => ({
		name: i.name[$locale],
		value: i.value
	}))
</script>

<template lang="pug">
+if('options')
	.options.is-flex.is-flex-direction-column.is-justify-content-flex-start( class:dark='{!$isLight}' )
		+each('options as option')
			.options-item.is-flex.is-align-items-center.is-justify-content-space-between
				p.left {option.name}
				p.right.is-flex-grow-1 {option.value}
</template>

<style lang="scss">
	.options {
		&-item {
			padding: .5rem;
			&:nth-of-type(2n) {
				background: $gray;
				transition: background .2s ease-in-out;
			}

			p {
				font-size: 1.125rem;
				font-weight: 300;
				transition: background .2s ease-in-out;
			}
			.left {
				color: $gray-text;
			}
			.right {
				text-align: right;
				color: $black;
				max-width: 60%;
			}
		}

		&.dark {
			.options-item {
				.left {
					color: #D8D8D8;
				}
				.right {
					color: $white;
				}
				&:nth-of-type(2n) {
					background: #2E2E2E;
				}
			}
		}
	}
</style>